RTEMS: BF533 EZ-KIT

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Modules | Files | Macros
BF533 EZ-KIT
Board Support Packages » Blackfin

BF533 EZ-KIT Board Support Package. More...

## Modules
| CPLB Configuration
| CPLB Configuration.
| TM27 Test Support
| Interrupt Mechanisms for TM27.

## Files
file | bsp.h
| Global BSP definitions.

## Macros
#define | L1_DATA_SRAM_A 0xff800000L
| Blackfin environment memory map.
#define | FIFOLENGTH 0x100

## functions
void | setLED (uint8_t value)
| Helper Function to use the EzKits LEDS. Can be used by the Application.
uint8_t | getLED (void)
| Helper Function to use the EzKits LEDS.
rtems_isr_entry | set_vector (rtems_isr_entry handler, rtems_vector_number vector, int type)
| Install an interrupt handler.
void | Init_RTC (void)
void | bfin_null_isr (void)

## PLL and clock setup values:
PLL configuration for ezkit533 XTL = 27 MHz CLKIN = 13 MHz VCO = 391 MHz CCLK = 391 MHz SCLK = 130 MHz
#define | PLL_CSEL 0x0000
| CCLK = VCO *‍/.
#define | PLL_SSEL 0x0003
| SCLK = CCLK/3 *‍/.
#define | PLL_MSEL 0x3A00
| VCO = 29xCLKIN *‍/.
#define | PLL_DF 0x0001
| CLKIN = XTL/2 *‍/.
#define | CCLK 391000000
| CORE CLOCK *‍/.
#define | SCLK 130000000
| SYSTEM CLOCK *‍/.

## UART setup values
#define | BAUDRATE 57600
| Console Baudrate *‍/.
#define | WORD_5BITS 0x00
| 5 bits word *‍/
#define | WORD_6BITS 0x01
| 6 bits word *‍/
#define | WORD_7BITS 0x02
| 7 bits word *‍/
#define | WORD_8BITS 0x03
| 8 bits word *‍/
#define | EVEN_PARITY 0x18
| Enable EVEN parity *‍/.
#define | ODD_PARITY 0x08
| Enable ODD parity *‍/.
#define | TWO_STP_BIT 0x04
| 2 stop bits *‍/

## Ezkit flash ports
#define | FlashA_PortB_Dir 0x20270007L
#define | FlashA_PortB_Data 0x20270005L

## Constants
#define | RAM_START 0
#define | RAM_END 0x100000

## Detailed Description

BF533 EZ-KIT Board Support Package.

## Function Documentation

## ◆ set_vector()

rtems_isr_entry set_vector | ( | rtems_isr_entry | handler,
|  | rtems_vector_number | vector,
|  | int | type
| ) |  |

Install an interrupt handler.

This method installs an interrupt handle.

Parameters

  [in] | handler | is the isr routine
  [in] | vector | is the vector number
  [in] | type | indicates whether RTEMS or RAW intr

Returns
  returns old vector